<div class="card mb-4" id="card-no-border">
    {% if list == true %}
    <a href="{{ path('display_article', {'id': row.idBlogPost }) }}">
        <img class="card-img-top" src="{{row.imgUrl}}" alt="{{row.title}}">
    </a>
    {% else %}
    <img class="card-img-top" src="{{row.imgUrl}}" alt="{{row.title}}">
    {% endif %}
    <div class="card-header">
        <a href="{{ path('display_article', {'id': row.idBlogPost }) }}">
            {# {% if row.title|length > 22 and list == true%}
            <h3>{{row.title[:22] ~ '...'}}</h3>
            {% else %} #}
            <h2>{{row.title}}</h2>
            {# {% endif %} #}
        </a>
    </div>
    <div class="card-body">
        <p class="card-text">
            {# {{ row.content|length > 50 ? row.content|slice(0, 50) ~ '...' : row.content  }} #}
            {% if row.content|length > 150 and list == true%}
            <i class="fas fa-caret-right"></i> {{row.content[:150] ~ '...'}}
        </p>
        <a href="{{ path('display_article', {'id': row.idBlogPost }) }}" class="btn btn-outline-warning">More <i class="fas fa-chevron-right"></i></a>
        {% else %}
        <i class="fas fa-caret-right"></i> {{row.content}}
        </p>
        {% endif %}
    </div>
</div>